# Uses of Interface
org.gitana.platform.client.identity.Identity

Packages that use Identity
Package
Description
org.gitana.platform.client
org.gitana.platform.client.directory
org.gitana.platform.client.identity
org.gitana.platform.client.principal
org.gitana.platform.client.support

## Uses of Identity in org.gitana.platform.client

Methods in org.gitana.platform.client with parameters of type Identity
Modifier and Type
Method
Description
`Platform`
Gitana.`authenticateOnTenant(Identity identity, String password, String tenantId)`
Authenticates as the given identity using a domain user that belongs to a domain on the given tenant.

## Uses of Identity in org.gitana.platform.client.directory

Methods in org.gitana.platform.client.directory that return Identity
Modifier and Type
Method
Description
`Identity`
Directory.`readIdentity(String identityId)`
`Identity`
DirectoryImpl.`readIdentity(String identityId)`

## Uses of Identity in org.gitana.platform.client.identity

Classes in org.gitana.platform.client.identity that implement Identity
Modifier and Type
Class
Description
`class`
`IdentityImpl`

## Uses of Identity in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal that return Identity
Modifier and Type
Method
Description
`Identity`
DomainUser.`readIdentity()`
`Identity`
DomainUserImpl.`readIdentity()`

## Uses of Identity in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Identity
Modifier and Type
Method
Description
`Identity`
ObjectFactory.`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
ObjectFactory.`identity(Directory directory, Response response)`
`Identity`
ObjectFactoryImpl.`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
ObjectFactoryImpl.`identity(Directory directory, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Identity
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Identity>`
ObjectFactory.`identities(Directory directory, Response response)`
`org.gitana.platform.support.ResultMap<Identity>`
ObjectFactoryImpl.`identities(Directory directory, Response response)`